<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OffLocationServicePricedType StructType
 * @package Dg
 * @subpackage Structs
 */
class DgOffLocationServicePricedType extends AbstractStructBase
{
    /**
     * The OffLocService
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgOffLocationServiceType
     */
    public $OffLocService;
    /**
     * The Charge
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgVehicleChargeType
     */
    public $Charge;
    /**
     * Constructor method for OffLocationServicePricedType
     * @uses DgOffLocationServicePricedType::setOffLocService()
     * @uses DgOffLocationServicePricedType::setCharge()
     * @param \dgsoft\StructType\DgOffLocationServiceType $offLocService
     * @param \dgsoft\StructType\DgVehicleChargeType $charge
     */
    public function __construct(\dgsoft\StructType\DgOffLocationServiceType $offLocService = null, \dgsoft\StructType\DgVehicleChargeType $charge = null)
    {
        $this
            ->setOffLocService($offLocService)
            ->setCharge($charge);
    }
    /**
     * Get OffLocService value
     * @return \dgsoft\StructType\DgOffLocationServiceType|null
     */
    public function getOffLocService()
    {
        return $this->OffLocService;
    }
    /**
     * Set OffLocService value
     * @param \dgsoft\StructType\DgOffLocationServiceType $offLocService
     * @return \dgsoft\StructType\DgOffLocationServicePricedType
     */
    public function setOffLocService(\dgsoft\StructType\DgOffLocationServiceType $offLocService = null)
    {
        $this->OffLocService = $offLocService;
        return $this;
    }
    /**
     * Get Charge value
     * @return \dgsoft\StructType\DgVehicleChargeType|null
     */
    public function getCharge()
    {
        return $this->Charge;
    }
    /**
     * Set Charge value
     * @param \dgsoft\StructType\DgVehicleChargeType $charge
     * @return \dgsoft\StructType\DgOffLocationServicePricedType
     */
    public function setCharge(\dgsoft\StructType\DgVehicleChargeType $charge = null)
    {
        $this->Charge = $charge;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgOffLocationServicePricedType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
